import { ApiCall } from "tsrpc";
import { WangZheRongYaofun } from "../../public/wzry";
import { ReqcatFightLog, RescatFightLog } from "../../shared/protocols/wzry/PtlcatFightLog";

export default async function (call: ApiCall<ReqcatFightLog, RescatFightLog>) {
    let res = await G.clientCross.callApi('wzry/catFightLog', { fid: call.req.fid });
    if (!res.isSucc) {
        return call.error('', { code: -1/* , message: globalThis.lng.wzry_10 */ });
    }
    let result = res.res.result;

    call.succ({ result: result });
}